./lang/ocaml-camlp4 [OCaml Preprocessor and Pretty-Printer]
[+] Add this package to your ports tracker

[ CVSweb ] [ Homepage ] [ RSS feed ]

Version: 4.10+1, Package name: ocaml-camlp4-4.10+1
Maintained by: Christopher Zimmermann
Master sites:
Description
Camlp4 is a software system for writing extensible parsers
for programming languages. It provides a set of OCaml
libraries that are used to define grammars as well as
loadable syntax extensions of such grammars. Camlp4 stands
for Caml Preprocessor and Pretty-Printer and one of its most
important applications is the definition of domain-specific
extensions of the syntax of OCaml.


Filesize: 634.855 KB
Version History (View Complete History)
  • (2020-06-10) Updated to version: ocaml-camlp4-4.10+1
  • (2020-06-01) Updated to version: ocaml-camlp4-4.08+1
  • (2020-06-01) Updated to version: ocaml-camlp4-4.10+1
  • (2019-09-19) Updated to version: ocaml-camlp4-4.08+1
  • (2019-03-04) Updated to version: ocaml-camlp4-4.07+1
  • (2016-06-25) Updated to version: ocaml-camlp4-4.03+1
  • (2015-08-30) Updated to version: ocaml-camlp4-4.02+6
  • (2014-10-25) Updated to version: ocaml-camlp4-4.02.1+1
  • (2014-09-03) Package added to openports.se, version ocaml-camlp4-4.02.0 (created)
[show/hide] View available PLISTS (Can be a lot of data)

CVS Commit History:

   2020-06-22 05:15:53 by Jeremie Courreges-Anglas | Files touched by this commit (1)
Log message:
Drop empty patch
   2020-06-10 13:41:58 by Christian Weisgerber | Files touched by this commit (1)
Log message:
EPOCH can never be removed
   2020-06-09 11:34:15 by Christopher Zimmermann | Files touched by this commit (36)
Log message:
Update lang/ocaml to 4.10.0
tested on sparc64, update to lang/camlp4 and ok by jca@
ok daniel@
thanks.
   2020-06-02 18:39:53 by Jeremie Courreges-Anglas | Files touched by this commit (1)
Log message:
Unbreak PKGSPEC
I shoudn't have introduced EPOCH in the revert to camlp4-4.08+1, it was
not needed (the update to camlp4-4.10+1 didn't build) and it lead to
this PKGSPEC issue that I overlooked.
This fixes net/mldonkey, the last consumer of camlp4.  Reported by naddy@
   2020-06-01 08:20:48 by Jeremie Courreges-Anglas | Files touched by this commit (3)
Log message:
Revert update to camlp4-4.10+1
Requires ocaml-4.10, just patching the configure script isn't enough.
   2020-06-01 00:51:19 by Christopher Zimmermann | Files touched by this commit (3)
Log message:
Update lang/ocaml-camlp4 for OCaml 4.10
ok jca@
   2019-09-26 05:04:50 by Christopher Zimmermann | Files touched by this commit (1)
Log message:
Add patch that was missing in the OCaml 4.09.0 update
   2019-09-26 03:46:11 by Christopher Zimmermann | Files touched by this commit (43)
Log message:
Update OCaml to 4.09
reviewed ports wise and help with @pkgpath, ok by sthen@
reviewed and help with bytecode-only plists, minor nits and ok by jca@
tested on sparc 64 by @jca
tested on aarch64 by Kurt Miller
tested on amd64 by me
Thanks for reviews and testing!
   2019-09-18 13:42:59 by Christopher Zimmermann | Files touched by this commit (2)
Log message:
Update and unbreak lang/ocaml-camlp4
ok krw@, avsm@
   2019-09-18 11:49:37 by Christopher Zimmermann | Files touched by this commit (42)
Log message:
Upgrade lang/ocaml to 4.08.1
* net unison needed some patchign to avoid deprecated library functions.
* all ports depending on the exact version of OCaml need revision bumps.
* net/unison needed some help to avoid deprecated library functions.
ok krw@, testing on i386 and ok daniel@
   2019-07-12 14:47:59 by Stuart Henderson | Files touched by this commit (874)
Log message:
replace simple PERMIT_PACKAGE_CDROM=Yes with PERMIT_PACKAGE=Yes
   2019-03-04 21:29:47 by Jeremie Courreges-Anglas | Files touched by this commit (68)
Log message:
Those files should have been removed in the ocaml-4.07.1+friends update
Noticed by krw@ and Adam Steen
   2019-03-04 05:51:17 by Christopher Zimmermann | Files touched by this commit (133)
Log message:
Upgrade OCaml and dependent ports
testing and OKs by avsm@, jca@, krw@ Thanks a lot !
   2016-06-24 09:59:13 by Kenneth R Westerback | Files touched by this commit (42)
Log message:
Upgrade Ocaml to 4.3.0 and tweak ports the minimal amount to keep
them all compiling.
Tweaks include updating
ocaml-batteries 2.3.1 -> 2.5.0
ocaml-lwt 2.4.8 -> 2.5.2
ocaml-ppx-tools 0.99.2 -> 4.03.0
ocaml-camlp4 4.02+6 -> 4.03+1
utop 1.15 -> 1.19.2
and fixes to coccinelle and wyrd to let them build on bytecode archs.
Other necessary tweaks from the various homes of the projects.
Everything still builds on amd64 (native and bytecode) and sparc64 (bytecode).
ok anil@ sthen@ so final 4.3.0 tweaks can be done in-tree.
   2016-06-23 13:23:54 by Kenneth R Westerback | Files touched by this commit (31)
Log message:
Stop building Ocaml's internal ocamlbuild and use the ocaml-ocamlbuild port
where needed.
The next step towards Ocaml 4.3.0.
Bulk build by sthen@ identified several laggards which are included here.
ok anil@ sthen@ so final 4.3.0 polishing can be done in-tree.
   2015-12-29 12:49:41 by Jasper Lievisse Adriaanse | Files touched by this commit (44)
Log message:
DISTNAME is set by bsd.port.mk for these ports now
   2015-08-30 09:41:01 by Anil Madhavapeddy | Files touched by this commit (2)
Log message:
update to ocaml-camlp4-4.02+6
ok jca@, tested by krw@ daniel@ jsg@
   2014-10-25 05:55:54 by Christopher Zimmermann | Files touched by this commit (9)
Log message:
update to OCaml 4.02.1.
Tested upgrade from 4.02.0 without revision bumping other packages.
ok avsm@. espie@ had a look -> no revision bumps needed.